#ifndef COMBACTIONITEM_H
#define COMBACTIONITEM_H

#include <QObject>
#include "items/cmdconfig.h"

class CombActionItem : public QObject
{
    Q_OBJECT
public:
    explicit CombActionItem(QObject *parent = 0);

public:
    ~CombActionItem();

public:
    CombActionItem(const CombActionItem & item);
    CombActionItem & operator= (const CombActionItem & item);

signals:

public slots:

public:
    void clean();

private:
    void copyData(const CombActionItem & item);

public:
    int m_mcType;   //机器类型
    QString m_name;     // 名称
    int m_mcNum;        // 板卡号
    int m_type;         // 功能类型
    int m_def;          // 对应的事件宏定义
    int m_btnclickfun;  // 按钮对应的点击事件 -1：代表没有
    int m_btnprefun;    // 按钮对应的按下事件 -1：代表没有
    int m_btnrelfun;    // 按钮对应的抬起事件 -1：代表没有

};

#endif // COMBACTIONITEM_H
