﻿#ifndef __CONFIG_H__
#define __CONFIG_H__



#include "typedef.h"
#include <QImage>


#define EMBROIDERY
#define EMB_BF_SW_ND        448     // 绣花机最大换色数                     原为288,lxs20220803客户有一个花样需要448色序,进行更改
#define MAX_EXDP_LEN	    1024	// 最大附加数据长度

#define ANCHOR_POINT 0x00 //定位点
#define START_POINT  0x01 //起绣点

#define FLATEMB  1 //遍历设置的平绣机
#define COIL    4 //遍历设置的缠绕机头
#define TOWEL    5 //遍历设置的毛巾机
#define TOWEL_DOWN_HEAD			0x08		// 毛巾下机头
#define TOWELM    6 //毛巾M轴
#define CHAIN    7 //毛巾链式
#define SAWTOOTH  9    //锯齿
#define RIBBON     10   //盘带
#define COILM   11 //缠绕M轴
#define LASER   12 //激光

//针杆个数
#define COILNEEDLE   9 //缠绕
#define SAWTOOTHNEEDLE  6    //锯齿
#define RIBBONNEEDLE     2   //盘带
#define LASERNEEDLE   10 //激光

#define	ELASTICWIRE_COLORCHANGE_POS				1				   // 松紧线电机换色位
#define	ELASTICWIRE_TRIMMING_POS			    2				   // 松紧线电机剪线位
#define   ELASTICWIRE_CHAIN_POS					3				   // 松紧线电机链式位
#define	ELASTICWIRE_CHENILLE_POS				4				   // 松紧线电机毛巾位
#define IMAGE_TYPE      (QImage::Format_ARGB32)

#endif
